smbios_connect_t Struct Reference
Public interface » ID macros » SMBIOS structures

port connector information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
hd_id_t | port_type
| port type
char * | i_des
| internal reference designator
hd_id_t | i_type
| internal connector type
char * | x_des
| external reference designator
hd_id_t | x_type
| external connector type

## Detailed Description

port connector information

The documentation for this struct was generated from the following file:

- hd.h